SyslogWriter (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.helpers
Class SyslogWriter

    java.lang.Object
      java.io.Writer
          org.apache.log4j.helpers.SyslogWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class SyslogWriter

extends Writer

SyslogWriter is a wrapper around the java.net.DatagramSocket class so that it behaves like a java.io.Writer.

Since:
  0.7.3

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`SyslogWriter(String syslogHost)` Constructs a new instance of SyslogWriter.

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(char[] buf, int off, int len)`
`void` | `write(String string)`

Methods inherited from class java.io.Writer
`append, append, append, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyslogWriter

    public SyslogWriter(String syslogHost)

  Constructs a new instance of SyslogWriter.

  Parameters:
    `syslogHost` - host name, may not be null. A port may be specified by following the name or IPv4 literal address with a colon and a decimal port number. To specify a port with an IPv6 address, enclose the IPv6 address in square brackets before appending the colon and decimal port number.

Method Detail

### write

    public void write(char[] buf,
                      int off,
                      int len)
               throws IOException

  Specified by:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(String string)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### flush

    public void flush()

  Specified by:
    `flush` in interface `Flushable`
  Specified by:
    `flush` in class `Writer`

### close

    public void close()

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Writer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.